function sendMessage(obj,url){
    var myreg = /^(((13[0-9]{1})|(15[0-9]{1})|(17[0-9]{1})|(18[0-9]{1}))+\d{8})$/;
    var mobile = $("input[name=mobile]").val();
    if(mobile == ''){
        plus.nativeUI.toast('请输入手机号.');
        return false;
    }

    if(!myreg.test(mobile)) {
        plus.nativeUI.toast('请输入有效的手机号码！');
        return false;
    }
    var getUrl = host_url+"/AppApi/Login/"+url;
    if ($(obj).val() == '获取验证码') {

        var api_token_md = get_app_md5_token("Login",url); //加密生成token
        var post_data = {
            app_id: app_id,
            api_token: api_token_md,
            mobile: mobile
        };

        $.ajax({
            type: "GET",
            url: getUrl,
            data: post_data,
            dataType: "jsonp",
            async: false,
            jsonp: 'callback',
            success: function (result) {
                if (result.code == 0) {
                    plus.nativeUI.toast('验证码已经发送，请查收短信');
                    count_down();
                } else {
                    plus.nativeUI.toast(result.message);
                }
            },
            error: function(x, e) {
                function plusReady(){
                    plus.nativeUI.toast('拉取数据失败！');
                }
                document.addEventListener('plusready',plusReady,false);
            }
        });
    }
}

/*倒计时*/
function count_down() {
    var onewUser = $("#getsmcode");
    var sec = 60;
    var time = null;
    time = setInterval(function () {
        if (sec > 0) {
            sec--;
            onewUser.val('剩' + sec + '秒');
        } else {
            onewUser.val('获取验证码');
            clearInterval(time);
        }
    }, 1000);
}


function checkMobile(mobile){
	var myreg = /^(((13[0-9]{1})|(15[0-9]{1})|(17[0-9]{1})|(18[0-9]{1}))+\d{8})$/;
	if(!myreg.test(mobile)) { 
	    return false; 
	}
	return true;
}
