/**
 * 列表页面内容
 * @param {Object} page
 * @param {Object} big_type
 */
function dp_list(page,big_type,order){
//	console.log("page:" + page);
	var token = get_app_md5_token('list','dp_list');
	var user_id = plus.storage.getItem('quanzzi_user_id');
    var post_data = {
		app_id: app_id,
		api_token: token,
		count:15,
		big_type:big_type,//底盘标识
		page:page,
		order:order,
		user_id:user_id,
    };
	$.ajax({
        url: qz_host_url+'/AppApi/List/dp_list',
        type: 'post',
        dataType: 'jsonp',
        data: post_data,
        beforeSend:function(){plus.nativeUI.showWaiting();},
        success: function (responseData) {
        	plus.nativeUI.closeWaiting();
        	var all_list = '<p>全部 (0)</p>';
        	var html = '';
    
        	if(responseData.code == 0 && responseData.message == "ok"){
        		all_list = '<p>全部 ('+responseData.data.count+')</p>';
        		for(var i=0; i<responseData.data.rs.length; i++){
        			var id = responseData.data.rs[i].id;
        			var uid = responseData.data.rs[i].uid;
        			var mark_type = responseData.data.rs[i].mark_type;
        			var big_type = responseData.data.rs[i].big_type;
        			var type_id = responseData.data.rs[i].type_id;
        			var brand_id = responseData.data.rs[i].brand_id;
        			var brand_name = responseData.data.rs[i].brand_name;
        			var model_id = responseData.data.rs[i].model_id;
        			var pro_name = responseData.data.rs[i].pro_name;
        			var pro_price = responseData.data.rs[i].pro_price;
        			var pic = responseData.data.rs[i].pic;
        			var content = responseData.data.rs[i].content;
        			var create_time = responseData.data.rs[i].create_time;
        			var source_mark = responseData.data.rs[i].source_mark;
        			var source_type = responseData.data.rs[i].source_type;
        			var up = responseData.data.rs[i].up;
        			var comment_count = responseData.data.rs[i].comment_count;
        			var collect_count = responseData.data.rs[i].collect_count;
        			var share_count = responseData.data.rs[i].share_count;
        			var isConcerned = responseData.data.rs[i].isConcerned;
        			var isConcerned_id = responseData.data.rs[i].isConcerned_id;
        			var pics = responseData.data.rs[i].pics;
        			var rel_name = responseData.data.rs[i].user.rel_name;
        			var logo = responseData.data.rs[i].user.logo;
        			var company_name = responseData.data.rs[i].user.company_name;
        			var headpic = responseData.data.rs[i].user.headpic;
        			var is_up = responseData.data.rs[i].is_up;
        			var is_collect = responseData.data.rs[i].is_collect;
        			var is_up_text = '';
        			if(is_up == 1){
        				is_up_text = ' active';
        			}
        			var is_collect_text = '';
        			if(is_collect == 1){
        				is_collect_text = ' active';
        			}
        			if(headpic.indexOf("http://")){
						headpic = qz_pic_path+responseData.data.rs[i].user.headpic;
					}
        			var is_vip = responseData.data.rs[i].user.is_vip;
        			var vip_pic = '';
        			if(is_vip == 1){
        				vip_pic = '<i class="vipicon icon icon165"></i>';
        			} 
        			var guanzhu = '';
					if(isConcerned == 1){
						guanzhu = '<div class="tex-gz tex-gz01 gz_'+uid+'" onclick="guanzhu_off(this,'+isConcerned_id+','+uid+')"><p>已关注</p></div>';
					}else{
						guanzhu = '<div class="tex-gz tex-gz02 gz_'+uid+'" onclick="guanzhu_on(this,'+uid+')"><div class="boder_four"><i class="icon icon133"></i>关注</div></div>';
					} 
					var pics_html = '';
					if(pics != ''){
						for (var j = 0; j < pics.length; j++) {
							pics_html += '<img src="'+qz_pub_pic_url+pics[j]+'">';
						}
					}
//					console.log("pics_html:"+pics_html); 
	        		html += '<li class="bt1"><div class="clearfix dt-introduce">';
	        		html += '<div class="introduce-tx">';
	        		html += '<img src="'+headpic+'">';
	        		html += '</div>'; 
	        		html += '<div class="introduce-name">';
	        		html += '<h3 class="mag-top">'+rel_name+vip_pic+'</h3>';
	        		html += '<p class="tm">'+create_time+' 来自底盘>'+brand_name+'</p>';
	        		html += '</div>';
	        		html += guanzhu;
	        		html += '</div>';
	        		html += '<div class="biaoti">';
	        		html += '<p onclick="get_details(' + id + ')">'+content+'</p>';
	        		html += '</div>';
					html += '<div class="qc-img add-mg-rt">';
					html += pics_html;
					html += '</div>';
				    html += '<div class="lei bb1 bt1">';
			        html += '<div class="lei-middle br1" onclick="show_pinglun('+id+','+comment_count+ ');">';
		            html += '<div class="dianzan-img">';
	                html += '<i class="icon icon193"></i>';
		            html += '</div>';
		            html += '<div class="dianzan-text ch-ys"><p id="comment_updata_count_'+id+'">评论('+comment_count+')</p></div>';
			        html += '</div>';
				        html += '<div class="lei-middle br1"  onclick="publish_activity(this,'+id+',1,'+up+');">';
				            html += '<div class="dianzan-img '+is_up_text+'" id="index_up' + id + '">';
				                html += '<i class="icon icon194"></i>';
				            html += '</div>';
				            html += '<div class="dianzan-text ch-cl"><p>点赞<span>('+up+')</span></p></div>';
				        html += '</div>';
				        html += '<div class="lei-middle br1"  onclick="publish_activity(this,'+id+',2,'+collect_count+');">';
				            html += '<div class="dianzan-img '+is_collect_text+'" id="index_collect' + id + '">';
				                html += '<i class="icon icon60"></i>';
				            html += '</div>';
				            html += '<div class="dianzan-text"><p>收藏<span>('+collect_count+')</span></p></div>';
				        html += '</div>';
				        html += '<div class="lei-middle">';
				            html += '<div class="dianzan-img">';
				                html += '<i class="icon icon195"></i>';
				            html += '</div>';
				            html += '<div class="dianzan-text"><p>分享<span>('+share_count+')</span></p></div>';
				        html += '</div>';
				    html += '</div>';
				    html += '<ul class="pinlun_box" id="reply'+id+'"></ul></li>';
        		}
        		$("#dp_list_content").append(html);
        	}
        	$("#all_list").html(all_list);
        	$("#next_page").val(responseData.data.next_page);
        },
        //获取数据失败 
        error:function(xhr){ 
        	plus.nativeUI.closeWaiting();
        	mui.toast("获取数据失败！");
        }
    });
}



//显示评论列表
//function show_pinglun(pub_id){
//	var ht = $("#reply"+pub_id).html();
//	if(ht == ''){
//		var post_data = {
//	        pub_id:pub_id,
//	    };
//	    qz_post_ajax('public','get_comment_list',function(data){
//	    		console.log(data);
//	    		
//	    		var html = '';
//			for (var i = 0; i < data.length; i++) {
//				var reply_user = '';
//	    			if(data[i].pid != 0){
//	    				reply_user = '回复 <span>'+data[i].obj_user+':</span>';
//	    			}
//				html += '<li class="bb1 reply02"><div class="reply02-txt"><div class="xiao-tx ch-xiao"><img src="'+data[i].logo+'"></div><div class="pinLun">'+
//        			'<p><span>'+data[i].dealer+'</span>'+reply_user+data[i].content+'</p></div><div class="pinLun-bot"><div class="hf-text hf-tm"><p>'
//        			+data[i].time+'</p></div><div class="ch-wz hf-text hf-tm hf-tm-right"><i class="icon icon194"> ' + data[i].up_count + ' </i></div></div></div>';
//			}
//			html += '<div class="bt1 bb1 pinLun-shuru"><div class="shuRu"><div class="shuRu-left"><input type="text" name="status" id="status_'+pub_id+'"  placeholder="我也说一句"></div><div class="shuRu-right" onclick="post_pl_msg('+pub_id+')"><p>发表</p></div></div></li>';
//			$("#reply"+pub_id).html(html);
//	    },post_data);
//	}else{
//		$("#reply"+pub_id).toggle();
//	}
//}

//function post_pl_msg(obj_id){
//  var content = setContent_pinglun($("#status_"+obj_id).val());
//  var qz_uid = plus.storage.getItem("quanzzi_user_id");
//  if(content.length > 400){
//      alert("评论内容最多400字,请重新输入！");
//      return false;
//  }
//  var post_data = {
//      obj_id:obj_id,
//      content:content,
//      qz_uid:qz_uid,
//  };
//  if(content == ''){
//      alert("内容不能为空，请填写内容！");
//      return false;
//  }
//  qz_post_ajax('public','post_pl_msg',function(data){
//  		if(data == 'ok'){
//  			$("#reply"+obj_id).html('');
//  			show_pinglun(obj_id);
//  		}else{
//  			alert("评论操作出现错误");
//  		}
//  },post_data);
//}

//    	 获取url中的参数
function getUrlParam(name) {
	var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
	var r = window.location.search.substr(1).match(reg);
	if(r != null) {
		return unescape(r[2]);
	} else {
		return null;
	}
}

function search_rs(content_input_id,big_type_input_id){
	var content = $("#"+content_input_id).val();
	if(content == ''){
		mui.toast("请输入要搜索的产品名称或内容");
		return false;
	}
	var big_type_text = '';
	if(big_type_input_id !=''){
		var big_type = $("#"+big_type_input_id).val();
		big_type_text = '&big_type='+big_type;
	}
//	var data = {
//		content:content,
//			big_type:big_type
//	}
//	openWiewHtml('../quanzi/search_list.html','',data);
//	mui.openWindow({
//		url:'../quanzi/search_list.html',
//		extras:{
//			content:content,
//			big_type:big_type,
//		},
//	});

	
	location.href = '../quanzi/search_list.html?content=' + content + big_type_text;
}

/**
 * 搜索列表
 * @param {Object} page
 * @param {Object} big_type
 * @param {Object} content
 */
function search_list(page,big_type,content){
//	console.log("page:" + page);
	var token = get_app_md5_token('list','search_list');
    var post_data = {
		app_id: app_id,
		api_token: token,
		count:15,
		big_type:big_type,//底盘标识
		content:content,
		page:page,
    };
	$.ajax({
        url: qz_host_url+'/AppApi/List/search_list',
        type: 'post',
        dataType: 'jsonp',
        data: post_data,
        beforeSend:function(){plus.nativeUI.showWaiting();},
        success: function (responseData) {
        	plus.nativeUI.closeWaiting();
        	var all_list = '<p>全部 (0)</p>';
        	var html = ''; 
        	if(responseData.code == 0 && responseData.message == "ok"){
        		all_list = '<p>全部 ('+responseData.data.count+')</p>';
        		for(var i=0; i<responseData.data.rs.length; i++){
        			var id = responseData.data.rs[i].id;
        			var uid = responseData.data.rs[i].uid;
        			var mark_type = responseData.data.rs[i].mark_type;
        			var big_type = responseData.data.rs[i].big_type;
        			var type_id = responseData.data.rs[i].type_id;
        			var brand_id = responseData.data.rs[i].brand_id;
        			var brand_name = responseData.data.rs[i].brand_name;
        			var model_id = responseData.data.rs[i].model_id;
        			var pro_name = responseData.data.rs[i].pro_name;
        			var pro_price = responseData.data.rs[i].pro_price;
        			var pic = responseData.data.rs[i].pic;
        			var content = responseData.data.rs[i].content;
        			var create_time = responseData.data.rs[i].create_time;
        			var source_mark = responseData.data.rs[i].source_mark;
        			var source_type = responseData.data.rs[i].source_type;
        			var up = responseData.data.rs[i].up;
        			var comment_count = responseData.data.rs[i].comment_count;
        			var collect_count = responseData.data.rs[i].collect_count;
        			var share_count = responseData.data.rs[i].share_count;
        			var isConcerned = responseData.data.rs[i].isConcerned;
        			var isConcerned_id = responseData.data.rs[i].isConcerned_id;
        			var pics = responseData.data.rs[i].pics;
        			var rel_name = responseData.data.rs[i].user.rel_name;
        			var logo = responseData.data.rs[i].user.logo;
        			var company_name = responseData.data.rs[i].user.company_name;
        			var headpic = qz_pic_path+responseData.data.rs[i].user.headpic;
        			var is_vip = responseData.data.rs[i].user.is_vip;
        			var vip_pic = '';
        			if(is_vip == 1){
        				vip_pic = '<img src="../public/qzimage/vip.jpg">';
        			} 
        			var guanzhu = '';
					if(isConcerned == 1){
						guanzhu = '<div class="tex-gz gz_'+uid+'" onclick="guanzhu_off(this,'+isConcerned_id+','+uid+')"><p>已关注</p></div>';
					}else{
						guanzhu = '<div class="tex-gz gz_'+uid+'" onclick="guanzhu_on(this,'+uid+')"><p>关注</p></div>';
					}
					var pics_html = '';
					if(pics != ''){
						for (var j = 0; j < pics.length; j++) {
							pics_html += '<img src="'+qz_pub_pic_url+pics[j]+'">';
						}
					}
	        		html += '<div class="dt-introduce">';
	        		html += '<div class="introduce-tx">';
	        		html += '<img src="'+headpic+'">';
	        		html += '</div>'; 
	        		html += '<div class="introduce-name">';
	        		html += '<p class="mag-top">'+rel_name+vip_pic+'</p>';
	        		html += '<p class="tm">'+create_time+' 来自底盘>'+brand_name+'</p>';
	        		html += '</div>';
	        		html += guanzhu;
	        		html += '</div>';
	        		html += '<div class="biaoti">';
	        		html += '<p>'+content+'</p>';
	        		html += '</div>';
					html += '<div class="qc-img add-mg-rt">';
					html += pics_html;
					html += '</div>';
				    html += '<div class="lei">';
			        html += '<div class="lei-middle br1" onclick="show_pinglun('+id+','+comment_count+ ');">';
		            html += '<div class="dianzan-img">';
	                html += '<i class="icon icon193"></i>';
		            html += '</div>';
		            html += '<div class="dianzan-text ch-ys"><p id="comment_updata_count_'+id+'">评论('+comment_count+')</p></div>';
			        html += '</div>';
				        html += '<div class="lei-middle br1"  onclick="publish_activity(this,'+id+',1,'+up+');">';
				            html += '<div class="dianzan-img">';
				                html += '<i class="icon icon194"></i>';
				            html += '</div>';
				            html += '<div class="dianzan-text"><p>点赞<span>('+up+')</span></p></div>';
				        html += '</div>';
				        html += '<div class="lei-middle br1"  onclick="publish_activity(this,'+id+',2,'+collect_count+');">';
				            html += '<div class="dianzan-img">';
				                html += '<i class="icon icon123"></i>';
				            html += '</div>';
				            html += '<div class="dianzan-text"><p>收藏<span>('+collect_count+')</span></p></div>';
				        html += '</div>';
				        html += '<div class="lei-middle ">';
				            html += '<div class="dianzan-img">';
				                html += '<i class="icon icon195"></i>';
				            html += '</div>';
				            html += '<div class="dianzan-text"><p>分享<span>('+share_count+')</span></p></div>';
				        html += '</div>';
				    html += '</div>';
				    html += '<div id="reply'+id+'"></div>';
        		}
        		$("#dp_list_content").append(html);
//      		console.log("html"+html);
        	}
        	$("#all_list").html(all_list);
        	$("#next_page").val(responseData.data.next_page);
        },
        //获取数据失败 
        error:function(xhr){ 
        	plus.nativeUI.closeWaiting();
        	mui.toast("查询数据失败！");
        }
    });
}