// 打开分享
function shareShow(pub_id, title_content) {
	bhref = true;
	var ids = [{
			id: "weixin",
			ex: "WXSceneSession"
		}, {
			id: "weixin",
			ex: "WXSceneTimeline"
		}, {
			id: "sinaweibo"
		}, {
			id: "qq"
		}],
		bts = [{
			title: "发送给微信好友"
		}, {
			title: "分享到微信朋友圈"
		}, {
			title: "分享到新浪微博"
		}, {
			title: "分享到QQ"
		}];
	plus.nativeUI.actionSheet({
			cancel: "取消",
			buttons: bts
		},
		function(e) {
			var i = e.index;
			if(i > 0) {
				shareAction(ids[i - 1].id, ids[i - 1].ex, pub_id, title_content);
			}
		}
	);
}
/**
 * 分享操作
 * @param {String} id
 */
function shareAction(id, ex, pub_id, title_content) {
	var s = null;
	//	outSet( "分享操作：" );
	if(!id || !(s = shares[id])) {
		//outLine( "无效的分享服务！" );
		return;
	}
	if(s.authenticated) {
		//	outLine( "---已授权---" );
		shareMessage(s, ex, pub_id, title_content);
	} else {
		//		outLine( "---未授权---" );
		s.authorize(function() {
			shareMessage(s, ex, pub_id, title_content);
		}, function(e) {
			//			outLine( "认证授权失败："+e.code+" - "+e.message );
		});
	}
}

/**
 * 更新分享服务
 */
function updateSerivces() {
	plus.share.getServices(function(s) {
		shares = {};
		for(var i in s) {
			var t = s[i];
			shares[t.id] = t;
		}
	}, function(e) {
		outSet("获取分享服务列表失败：" + e.message);
	});
}

/**
 * 发送分享消息
 * @param {plus.share.ShareService} s
 */ 
function shareMessage(s, ex, pub_id, title_content) {
	var shareUrl = sjq_host_url;
	var shareTitle = title_content;
	var shareContent = title_content;
	//				var shareContent = title_content==''?'中国汽车网--商家圈':title_content;
	var sharePic = sjq_sharePic;
	if(pub_id != '') {
		shareUrl = sjq_host_url + '/msg_detail/' + pub_id + '.html';
	}
	//定
	var msg = {
		content: shareContent,
		extra: {
			scene: ex
		}
	};
	if(bhref) {
		msg.href = shareUrl;
		if(shareTitle) {
			msg.title = shareTitle;
		}
		if(shareContent) {
			msg.content = shareContent;
		} 
		msg.thumbs = [sharePic];
		msg.pictures = [sharePic];
	} else {
		if(sharePic) {
			msg.pictures = [sharePic];
		}
	}
	//	outLine(JSON.stringify(msg));
	s.send(msg, function() {
		mui.toast( "分享成功！" );
	}, function(e) {
		mui.toast( "分享失败！" );
		//		outLine( "分享到\""+s.description+"\"失败: "+e.code+" - "+e.message );
	});
}