/**
 * 判断是否登陆  没有登录调到登陆页面
 */
function Is_Login(html) {
    var uid = plus.storage.getItem("login_user_id");
    if (uid == null || uid == "") {
        var btnArray = ['确定', '取消'];
        mui.confirm('该操作需要登录！是否现在登录？', '登录提示', btnArray, function(e) {
            if (e.index == 0) {
                var data = {
                    html: html
                }
                openWiewHtml('../login/login.html', "登陆页面", data);
            }
        })
        return false;
    }
    return true;
}

/**
 * 校验用户是否登录
 * 已登录返回用户UID
 * 未登录返回0
 */
function checkLogin()
{
    var uid = plus.storage.getItem("login_user_id");
    var token = plus.storage.getItem("login_user_token");
    var url = host_url+"/AppApi/Login/checkUserLogin.html?uid="+uid+"&token="+token+"&app_id="+app_id+"&api_token="+get_app_md5_token("Login","checkUserLogin");
    $.ajax({
        type: "GET",
        url: url,
        data: '',
        dataType: "jsonp",
        async: false,
        jsonp: 'callback',
        success: function (result) {
            if(result['code'] != 0){
            		plus.nativeUI.toast(result['message']);
	            	setTimeout(function(){
	                openWiewHtml('../login/login.html', "登陆页面", '');
	            }, 1000);
            }
        }
    });
}

/**
 * 没有登录提示
 * @param {Object} htmlUrl
 * @param {Object} id
 */

function notLogged(htmlUrl, id) {
    if(loadIng()) {
        openWiewHtml(htmlUrl, id);
    }
}

function openWiewHtml(urls, ids, data) {
    mui.openWindow({
        id: ids,
        url: urls,
        styles: {
            zindex: 2,
            popGesture: 'none'
        },
        extras: data,
        createNew:true,
        show: {
            autoShow: true, //页面loaded事件发生后自动显示，默认为true
            aniShow: 'pop-in', //页面显示动画，默认为”slide-in-right“；
            //duration: animationTime //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
        },
        waiting: {
            autoShow: true
        }
    });
}
function openWiewHtml(urls, ids, data,createNew) {
    mui.openWindow({
        id: ids,
        url: urls,
        styles: {
            zindex: 2,
            popGesture: 'none'
        },
        extras: data,
        createNew:createNew,
        show: {
            autoShow: true, //页面loaded事件发生后自动显示，默认为true
            aniShow: 'pop-in', //页面显示动画，默认为”slide-in-right“；
            //duration: animationTime //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
        },
        waiting: {
            autoShow: true
        }
    });
}

function downloadImgs(ImgUrl) {
    if(plus.storage.getItem(ImgUrl) != null) {
        return plus.storage.getItem(ImgUrl);
    } else {
        createDownload(ImgUrl);
        return ImgUrl;
    }
}
// 监听下载任务状态

function onStateChanged(download, status) {
    if(download.state == 4 && status == 200) {
        // 下载完成   /storage/emulated/0/Android/data/io.dcloud.HBuilder/.HBuilder/downloads
        plus.storage.setItem(download.url, plus.storage.getItem("projectPath") + download.filename.substr(download.filename.indexOf("/") + 1));
    }
}
// 创建下载任务

function createDownload(FileUrl) {
    dtask = plus.downloader.createDownload(FileUrl);
    dtask.addEventListener("statechanged", onStateChanged, false);
    dtask.start();
}
// 暂停下载任务

function pauseDownload() {
    dtask.pause();
}
// 取消下载任务

function abortDownload() {
    dtask.pause();
}

//头部公用导航
function show_public_top() {
    var html = '';
    html += '<div class="nav01 nav swiper-container">';
    html += '<ul class="clearfix top_menu swiper-wrapper">';
    html += '<li class="swiper-slide add-bot" id="nav_jingxuan"><a href="javascript:goPageByCode(\'index\')" >精选</a></li>';
    html += '<li class="swiper-slide news_type_div" id="news_type_div_70"><a href="javascript:get_news_type_list(70)">评测</a></li>';
    html += '<li class="swiper-slide news_type_div" id="news_type_div_71"><a href="javascript:get_news_type_list(71)">导购</a></li>';
    html += '<li class="swiper-slide news_type_div" id="news_type_div_72"><a href="javascript:get_news_type_list(72)">促销</a></li>';
    html += '<li class="swiper-slide news_type_div" id="news_type_div_73"><a href="javascript:get_news_type_list(73)">养车</a></li>';
    html += '<li class="swiper-slide news_type_div" id="news_type_div_75"><a href="javascript:get_news_type_list(75)">新车</a></li>';
    html += '<li class="swiper-slide news_type_div" id="news_type_div_74"><a href="javascript:get_news_type_list(74)">汽车知识</a></li>';
    html += '<li class="swiper-slide news_type_div" id="news_type_div_76"><a href="javascript:get_news_type_list(76)">政策法规</a></li>';
    html += '</ul>';
    html += '<div class="top_right"><i id="sx" class="icon icon171"></i><!--<a href="javascript:goPageByCode(\'search_gonggao\');"><i class="icon icon63"></i></a>--></div>';
    html += '</div>';
    document.write(html);
}

//获取新闻类型的地址连接
function get_news_type_list(news_type_id){
	openWiewHtml('../news/article.html', news_type_id, {news_type: news_type_id});
}

//右上角更多功能菜单
function top_more_tool() {
    var html = '';
    html += '<div class="more dsn">';
    html += '<div class="xsj"><img src="../public/images/xsj.png"></div>';
    html += '<div class="more-list">';
    html += '<a>';
//  html += '<div class="qd bb1" onclick="index_sign(\'index_signs\',101);"><i class="icon icon75"></i><span>签到</span></div>';
    html += '</a>';
    html += '<a>';
    html += '<div class="qd bb1" onclick="goPageByCode(\'user_collect_car\')"><i class="icon icon180"></i><span>我的收藏</span></div>';
    html += '</a>';
    html += '<a >';
    html += '<div class="qd ll bb1" onclick="goPageByCode(\'user_browse_record\')"><i class="icon icon192"></i><span>浏览记录</span></div>';
    html += '</a>';
    html += '<a >';
    html += '<div class="qd bb1" onclick="goPageByCode(\'user_notice\')"><i class="icon icon50"></i><span>我的消息</span></div>';
    html += '</a>';
    html += '<a>';
    html += '<div class="qd tool"  onclick="goPageByCode(\'user_tools\')"><i class="icon icon190"></i><span>我的工具</span></div>';
    html += '</a>';
    html += '</div>';
    html += '</div>';
    document.write(html);
}

/**
 * 公告查询、地盘查询等NAV
 */
function search_nav() {
    var html = '<div class="ggcx-nav">';
    html += '<ul>';
    html += '<li onclick="goPageByCode(\'search_gonggao\');" id="search_nav_gonggao">公告查询</li>';
    html += '<li onclick="goPageByCode(\'search_dipan\');" id="search_nav_dipan">底盘查询</li>';
    html += '<li onclick="goPageByCode(\'search_ranyou\');" id="search_nav_ranyou">燃油查询</li>';
    html += '<li onclick="goPageByCode(\'search_mianzheng\');" id="search_nav_mz">免征查询</li>';
    html += '<li onclick="goPageByCode(\'search_vin\');" id="search_nav_vin">VIN查询</li>';
    //html += '<li onclick="goPageByCode(\'search_huanbao\');">环保</li>';
    html += '</ul>';
    html += '</div>';
    document.write(html);
}

/**
 * 公告查询 底部工具栏
 */
function search_my_select() {
    var html = '<div class="wdgg add-weight dsn" id="search_toole">';
    html += '<div id="tools_search_xsjpng" style="display: none;" class="xsj"><img src="../public/images/xsj.png"></div>';
    html += '<div class="more-list" style="border: 1px solid #ddd;">';
    html += '<div class="qd cxlb-list bb1" onclick="goPageByCode(\'user_my_select_lishi\');"><i class="icon icon59"></i><span>查询历史</span></div>';
    html += '<div class="qd cxlb-list bb1" onclick="goPageByCode(\'user_my_select_dingzhi\');"><i class="icon icon22"></i><span>定制查询</span></div>';
    html += '</div>';
    html += '</div>';
    document.write(html);
}

//底部公用菜单按钮
function show_footer_button(menu) {
	var index_active_class='';
	var car_active_class='';
	var search_gonggao_active_class='';
	var quanzi_index_active_class='';
	var user_index_active_class='';
    if(menu=='index'){
    		index_active_class = 'menu_active';
    }else if(menu=='cars'){
    		car_active_class = 'menu_active';
    }else if(menu=='search_gonggao'){
    		search_gonggao_active_class = 'menu_active';
    }else if(menu=='quanzi_index'){
    		quanzi_index_active_class = 'menu_active';
    }else if(menu=='user_index'){
    		user_index_active_class = 'menu_active';
    }else{
    		index_active_class = 'menu_active';
    }
	var html = '';
//	var uid = plus.storage.getItem("login_user_id");
//	var user_token = plus.storage.getItem("login_user_token");
    html += '<footer class="footer">';
    html += '<ul class="footer_list">';
    html += '<li class="'+index_active_class+'" onclick="goPageByCode(\'index\')">';
    html += '<i class="icon icon178"></i>';
    html += '<h3 class="menu_name">首页</h3>';
    html += '</li>';
    html += '<li class="'+car_active_class+'" onclick="goPageByCode(\'cars\')">';
    html += '<i class="icon icon62"></i>';
    html += '<h3 class="menu_name">车型</h3>';
    html += '</li>';
    html += '<li class="'+search_gonggao_active_class+'" onclick="goPageByCode(\'search_gonggao\')">';
    html += '<i class="icon icon49"></i>';
    html += '<h3 class="menu_name">公告</h3>';
    html += '</li>';
    html += '<li class="'+quanzi_index_active_class+'" onclick="goPageByCode(\'quanzi_index\')">';
    html += '<i class="icon icon184"></i>';
    html += '<h3 class="menu_name">商家圈</h3>';
    html += '</li>';
//	//如果没登录，则跳转到登录界面
//	if(uid == "" || uid == undefined || uid == null || user_token == "" || user_token == undefined || user_token == null) {
//	    html += '<li class="'+user_index_active_class+'" onclick="goPageByCode(\'user_index\')">';
//	    html += '<i class="icon icon72"></i>';
//	    html += '<h3 class="menu_name">我的</h3>';
//	    html += '</li>';
//	}else{
	    html += '<li class="'+user_index_active_class+'" onclick="goPageByCode(\'user_index\')">';
	    html += '<i class="icon icon72"></i>';
	    html += '<h3 class="menu_name">我的</h3>';
	    html += '</li>';
//	}
    html += '</ul>';
    html += '</footer>';
	document.getElementById('footer_button').innerHTML = html;
}
