var api_token_md = get_app_md5_token("News", "index_list"); //加密生成token
mui.init();

$(document).ready(function() {
	/**
	 * 新闻列表页的精选
	 */
	function article_choice_list(){
		var post_data = {
			app_id: app_id,
			api_token: api_token_md,
			_limit: 10,
			deleted: 1,
			_order: 'id desc',
		};
		
	}
	
	var post_data = {
		app_id: app_id,
		api_token: api_token_md,
		_limit: 10,
		deleted: 1,
		_order: 'id desc',
	};
	$.ajax({
		type: "GET",
		url: host_url + "/AppApi/News/index_list",
		data: post_data,
		dataType: "jsonp",
		async: false,
		jsonp: 'callback',
		success: function(result) {
			//						alert("success");//JS弹出框
			//						console.log(result);//在控制台输出信息
			//						plus.nativeUI.toast(result);//弹窗形式的输出信息
			//						$("#idSP").html(result);
			//						plus.nativeUI.toast(result.Message);
			var html = '';
			for(var i = 0; i < result.length; i++) {
				var id = result[i].id; //新闻ID
				var create_time = result[i].time_text;
				var img = result[i].pic; //新闻图片
				var title = result[i].title; //新闻标题
				var comment_count = result[i].comment_count

				function plusReady() {
					// 在这里调用plus api
					plus.storage.setItem("id", id);
					plus.storage.setItem("create_time", create_time);
					plus.storage.setItem("img", img);
					plus.storage.setItem("title", title);
					plus.storage.setItem("comment_count", comment_count);
				}
				if(window.plus) {
					plusReady();
				} else {
					document.addEventListener('plusready', plusReady, false);
				}
				html += '<div class="recom-list01" id="' + id + '" onclick="get_news_view(' + id + ')"><p>' + title + '</p><img src="' + img + '"><div class="list01-footer"><span>' + create_time + '</span><div class="list-ft-rt"><img src="../images/pl.png"><span>' + comment_count + '评论</span></div></div></div>'

			}
			$("#idSP").html(html);
		},
		error: function(x, e) {
			function plusReady() {
				plus.nativeUI.toast('拉取数据失败！');
			}
			document.addEventListener('plusready', plusReady, false);
		}
	});
});

/**
 * 新闻评论---点赞
 * @param {Object} comment_id
 * @param {Object} up_count
 */
function post_plup(comment_id,up_count)
{
	var token = get_app_md5_token("News", "comment_up");
	var user_id = plus.storage.getItem("login_user_id");//获取用户ID
	var login_user_token = plus.storage.getItem("login_user_token");//获取用户token
	var up_num = up_count+1;
	//获取新闻ID
	var news_id = $("#news_is_val").val();
	//判断是否登录
	if (user_id == null || user_id == "") {
        var btnArray = ['确定', '取消'];
        var l_data = {
			last_url: last_url,
			last_id: 'news_view',
			last_data: {news_id:news_id},
		};
		console.log("be_url"+l_data.last_url);
		mui.confirm('该操作需要登录！是否现在登录？', '登录提示', btnArray, function(e) {
			if(e.index == 0) {
				openWiewHtml('../login/login.html', "登陆页面",l_data);
			}
		});
        return false;
   }else{
    	var post_data = {
			app_id: app_id,
			api_token: token,
			comment_id: comment_id,
			up_count: up_count,
			uid:user_id,
			login_user_token: login_user_token,
		};
	    $.ajax({
	        type: "GET",
			url: host_url + "/AppApi/News/comment_up",
			data: post_data,
			dataType: "jsonp",
			async: false,
			jsonp: 'callback',
	        error:function(){mui.toast("点赞失败，请稍候重试");},
	        success:function(responseData){
	        	if(responseData == "user_error"){
	        		mui.toast("用户数据出错");
	        	}
	        	if(responseData == "re_up"){
	        		mui.toast("点赞失败");
	        	}
	        	if(responseData == "ok"){
	        		mui.toast("点赞成功");
	        		$("#comment_"+comment_id).addClass("dz-cg");
	        		$("#comment_"+comment_id).html('<i class="icon icon194"></i> '+up_num+'');
	        	}
	        }
	    });
    }
}

/**
 * 提交评论信息
 * @param {Object} pid
 */
function post_comment(pid){
	//获取新闻ID
	var news_id = $("#news_is_val").val();
	//获取评论信息
	var content = $("#com_content").val();
	if(content == ''){
		mui.toast("请输入评论内容后再提交！");
		return false;
	}
	if(content.length < 4 || content.length > 400){
		mui.toast("评论须（4-400）字内！");
		return false;
	}
	
	var token = get_app_md5_token("News", "post_comment");
	var user_id = plus.storage.getItem("login_user_id");//获取用户ID
	var login_user_token = plus.storage.getItem("login_user_token");//获取用户token
	
	//判断是否登录
	if (user_id == null || user_id == "") {
        var btnArray = ['确定', '取消'];
        var l_data = {
			last_url: last_url,
			last_id: 'news_view',
			last_data: {news_id:news_id},
		};
		mui.confirm('该操作需要登录！是否现在登录？', '登录提示', btnArray, function(e) {
			if(e.index == 0) {
				openWiewHtml('../login/login.html', "登陆页面",l_data);
			}
		});
        return false;
    }
	var post_data = {
		app_id: app_id,
		api_token: token,
		content: content,
		news_id: news_id,
		uid:user_id,
		login_user_token: login_user_token,
		pid:pid,
	};
    $.ajax({
        type: "GET",
		url: host_url + "/AppApi/News/post_comment",
		data: post_data,
		dataType: "jsonp",
		async: false,
		jsonp: 'callback',
        error:function(){mui.toast("评论失败，请稍候重试");},
        success:function(responseData){
        	if(responseData == "user_error"){
        		mui.toast("用户数据出错");
        	}
        	if(responseData == "isjy"){
        		mui.toast("您被禁言了，暂时不能提交评论");
        	}
        	if(responseData == "Time_Err"){
        		mui.toast("提交过于频繁");
        	}
        	if(responseData == "ok"){
        		mui.toast("评论成功！");
        		$("#com_content").val('');
        		get_news_pl_list(news_id);
        	}
            
        }
    });
}
