/**
 * 通用跳转页面方法,通过页面编码跳转对应页面
 * @param {Object} page_code 页面编码
 */
function goPageByCode(page_code) {
	switch(page_code) {
		case 'index':
			//APP首页
			openWiewHtml('../home/index.html', page_code, {});
			break;
		case 'login':
			//登录
			location.href='../login/login.html';
//			openWiewHtml('../login/login.html', page_code, {});
			break;
		case 'register':
			// 注册
			openWiewHtml('../login/register.html', page_code, {});
			break;
		case 'findPass':
			// 忘记密码
			openWiewHtml('../login/findPass.html', page_code, {});
			break;
		case 'user_index':
			//个人中心-首页
//			mui.openWindow({
//		        id: 'my',
//		        url: '../user/my.html',
//		    });
			openWiewHtml('../user/my.html','','',true);
			
			break;
		case 'user_change_data':
			//个人中心-修改资料
			location.href='../user/change_data.html';
//			openWiewHtml('../user/change_data.html', '', {});
			break;
		case 'user_change_name':
			//个人中心-修改昵称
			openWiewHtml('../user/change_name.html', page_code, {});
			break;
		case 'user_change_sex':
			//个人中心-修改性别
			openWiewHtml('../user/change_sex.html', page_code, {});
			break;
		case 'user_change_city':
			//个人中心-修改省市区
			openWiewHtml('../user/change_city.html', page_code, {});
			break;
		case 'user_change_intro':
			//个人中心-修改个人签名
			openWiewHtml('../user/change_intro.html', page_code, {});
			break;
		case 'user_change_password':
			//个人中心-修改密码
			openWiewHtml('../user/change_password.html', page_code, {});
			break;
		case 'user_browse_record':
			//个人中心-浏览记录
			openWiewHtml('../user/browse_record.html', page_code, {});
			break;
		case 'user_gonggao':
			//个人中心-我的公告
			openWiewHtml('../user/gonggao.html', page_code, {});
			break;
		case 'user_assets':
			//个人中心-我的汽车币
			openWiewHtml('../user/assets.html', page_code, {});
			break;
		case 'user_earn_assets':
			//个人中心-赚取汽车币
			openWiewHtml('../user/earn_assets.html', page_code, {});
			break;
		case 'user_help_assets':
			//个人中心-汽车币帮助
			openWiewHtml('../user/help_assets.html', page_code, {});
			break;
		case 'user_prize':
			//个人中心-我的中奖纪录
			openWiewHtml('../user/prize.html', '', {});
			break;
		case 'user_prize_duihuan':
			//个人中心-我的中奖纪录已兑换
			openWiewHtml('../user/prize_duihuan.html', '', {});
			break;
		case 'user_prize_no_duihuan':
			//个人中心-我的中奖纪录未兑换
			openWiewHtml('../user/prize_no_duihuan.html', '', {});
			break;
		case 'user_collect_car':
			//个人中心-我的收藏
			openWiewHtml('../user/collect.html', page_code, {type_id:1});
			break;
		case 'user_collect_news':
			//个人中心-我的收藏
			openWiewHtml('../user/collect.html', page_code, {type_id:2});
			break;
		case 'user_collect_gonggao':
			//个人中心-我的收藏
			openWiewHtml('../user/collect.html', page_code, {type_id:3});
			break;
		case 'user_feedback':
			//个人中心-意见反馈
			openWiewHtml('../user/feedback.html', page_code, {});
			break;
		case 'user_my_collect':
			//个人中心-收藏的公告
			openWiewHtml('../user/gonggao.html', page_code, {});
			break;
		case 'user_my_select_dingzhi':
			//个人中心-定制查询
			openWiewHtml('../user/gonggao.html', page_code, {type_id:1});
			break;
		case 'user_my_select_lishi':
			//个人中心-查询历史
			openWiewHtml('../user/gonggao.html', page_code, {type_id:2});
			break;
		case 'user_notice':
			//个人中心-消息
			openWiewHtml('../user/notice.html', page_code, {});
			break;
		case 'user_tools':
			//个人中心-工具箱
			openWiewHtml('../user/tools.html', page_code, {});
			break;
		case 'user_set':
			//个人中心-设置
			openWiewHtml('../user/set.html', page_code, {});
			break;
		case 'user_set_about':
			//个人中心-关于我们
			openWiewHtml('../user/set_about.html', page_code, {});
			break;
		case 'user_set_about_xieyi':
			//个人中心-协议
			openWiewHtml('../user/set_about_xieyi.html', page_code, {});
			break;
		case 'cars':
			//找车-车型频道首页
			openWiewHtml('../cars/cars-type.html', page_code, {});
			break;
		case 'banguache':
			//车型频道-半挂车首页
			openWiewHtml('../cars/cars-channel.html', page_code, {car_type_id: 1});
			break;
		case 'jiaoche':
			//车型频道-轿车首页
			openWiewHtml('../cars/cars-channel.html', page_code, {car_type_id: 2});
			break;
		case 'yueyeche':
			//车型频道-越野车首页
			openWiewHtml('../cars/cars-channel.html', page_code, {car_type_id: 3});
			break;
		case 'keche':
			//车型频道-客车首页
			openWiewHtml('../cars/cars-channel.html', page_code, {car_type_id: 4});
			break;
		case 'qianyinche':
			//车型频道-牵引车首页
			openWiewHtml('../cars/cars-channel.html', page_code, {car_type_id: 5});
			break;
		case 'huoche':
			//车型频道-货车首页
			openWiewHtml('../cars/cars-channel.html', page_code, {car_type_id: 6});
			break;
		case 'zhuanyongche':
			//车型频道-专用车首页
			openWiewHtml('../cars/cars-channel.html', page_code, {car_type_id: 7});
			break;
		case 'zixieche':
			//车型频道-自卸车首页
			openWiewHtml('../cars/cars-channel.html', page_code, {car_type_id: 8});
			break;
		case 'nongyongche':
			//车型频道-农用车首页
			openWiewHtml('../cars/cars-channel.html', page_code, {car_type_id: 9});
			break;
		case 'motoche':
			//车型频道-摩托车首页
			openWiewHtml('../cars/cars-channel.html', page_code, {car_type_id: 11});
			break;
		case 'search_gonggao':
			//公告查询
			openWiewHtml('../search/gonggao.html', page_code, {});
			break;
		case 'search_dipan':
			//底盘查询
			openWiewHtml('../search/dipan.html', page_code, {});
			break;
		case 'search_ranyou':
			//燃油查询
			openWiewHtml('../search/ranyou.html', page_code, {});
			break;
		case 'search_mianzheng':
			//免征查询
			openWiewHtml('../search/mianzheng.html', page_code, {});
			break;
		case 'search_vin':
			//VIN查询
			openWiewHtml('../search/vin.html', page_code, {});
			break;
		case 'search_huanbao':
			//环保查询
			openWiewHtml('', page_code, {});
			break;
		case 'news_index':
			//新闻文章首页、精选页
			openWiewHtml('../news/article.html', page_code, {});
			break;
		case 'quanzi_index':
			//商家圈首页
//			mui.alert('商家圈功能正在开发中,敬请期待!','温馨提示');
			openWiewHtml('../quanzi/index.html', page_code,'',true);
			break;
		default:
			//APP首页
			openWiewHtml('../home/index.html', 'index', {});
			break;
		case 'share':
		openWiewHtml('../mine/share.html',page_code,{});
		break;
} 
}
mui.plusReady(function () {
	//去除所有右侧滚动条
    var ws = plus.webview.currentWebview();
    ws.setStyle({
        scrollIndicator: 'none'
    })
    //检测是否联网
    var network = plus.networkinfo.getCurrentType();
		if(network == 1){
			plus.nativeUI.toast("网络不给力,请检查网络设置");
		}
})